<template>
  <div class="layout">
    <Layout>
      <Header>
        <Menu mode="horizontal" theme="dark" active-name="1">
          <div class="layout-logo">
            <img src="~/assets/wmi.jpg" alt="" height="38"/>
          </div>
          <div style="text-align: center; color: white; font-size: 20px; margin-right: 80px;">
            <p> WMI LECTURE </p>
          </div>
        </Menu>
      </Header>
    <Layout>
      <Sider v-show="logged" hide-trigger :style="{background: '#fff', minHeight: '100vh'}">
          <Menu active-name="1-2" theme="light" width="auto" :open-names="['1']">
            <MenuItem name="1-1">
              <Icon type="ios-keypad"></Icon>
              <span>Strona główna</span>
            </MenuItem>
            <Submenu name="2">
              <template slot="title">
                <Icon type="ios-navigate"></Icon>
                Forum
              </template>
              <MenuItem name="1-1">Temat 1</MenuItem>
              <MenuItem name="1-2">Temat 2</MenuItem>
              <MenuItem name="1-3">Temat 3</MenuItem>
            </Submenu>
            <Submenu name="3">
              <template slot="title">
                <Icon type="ios-keypad"></Icon>
                Funkcja 2
              </template>
              <MenuItem name="2-1">Opcja 1</MenuItem>
              <MenuItem name="2-2">Opcja 2</MenuItem>
            </Submenu>
            <Submenu name="4">
              <template slot="title">
                <Icon type="ios-analytics"></Icon>
                Funkcja 3
              </template>
              <MenuItem name="3-1">Opcja 1</MenuItem>
              <MenuItem name="3-2">Opcja 2</MenuItem>
            </Submenu>
          </Menu>
      </Sider>

      <Layout>
        <Content class="content">
          <Questions v-if="logged"/>
          <Login v-if="!logged" @logged="handleLogin"/>
        </Content>
      </Layout>
    </Layout>
    </Layout>
  </div>
</template>
<script>
    import Login from '~/components/Login';
    import Questions from '~/components/Questions';

    export default {
        components: {
            Login,
            Questions
        },
        data() {
            return {
                logged: false,
            };
        },
        methods:{
            handleLogin(){
                this.logged = true
                this.$forceUpdate()
                // this.$router.push({
                //     path: '/questions'
                // })
            }
        }

    };
</script>

<style scoped>
  .layout {
    background: #f5f7f9;
    min-height: 100vh;
  }

  .layout-logo {
    width: 100px;
    height: 30px;
    border-radius: 3px;
    float: left;
    position: relative;
    top: 15px;
    left: 20px;
  }

  .layout-nav {
    width: 420px;
    margin: 0 auto;
    margin-right: 20px;
  }

  .content {
    background: #f5f7f9;
    position: relative;
    text-align: center;
    margin-top: 20px;
  }
</style>
